<?php   
use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;

class Slider_Three extends Widget_Base {

	public function get_name() {
		return 'slider_three';
	}

	public function get_title() {
		return esc_html__( 'slider three', 'plugin-domain' );
	}

	public function get_icon() {
		return 'fa fa-arrows-h';
	}

	public function get_categories() {
		return [ 'plugin-domain' ];
	}

	protected function _register_controls() {


		$this->start_controls_section(
			'item',
			[
				'label' => esc_html__( 'item', 'plugin-domain' ),
			]
		);

		$repeater = new Repeater();


		$repeater->add_control(
			'item_title',
			[
				'label' => esc_html__( 'Slider Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_slider_sub_title',
			[
				'label' => esc_html__( 'Slider Sub Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_slider_button_text',
			[
				'label' => esc_html__( 'Slider Button Text', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_slider_button_link',
			[
				'label' => esc_html__( 'Slider Button Link', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);

		$repeater->add_control(
			'item_slider_bg',
			[
				'label' => esc_html__( 'Slider Bg', 'plugin-domain' ),
				'type' => Controls_Manager::MEDIA,
				'default' => [
					'url' => Utils::get_placeholder_image_src(),
				],

			]
		);


		$this->add_control(
			'items',
			[
				'label' => esc_html__( 'Repeater List', 'plugin-domain' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => esc_html__( 'Title #1', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
					[
						'list_title' => esc_html__( 'Title #2', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
				],
			]
		);


		$this->end_controls_section();

	}
	protected function render() {
		$settings =  $this->get_settings_for_display(); ?> <section class="main-slider style-three">
<div class="main-slider-carousel owl-carousel owl-theme nav-style-two">
	<?php 
		$i = 1;
		foreach($settings["items"] as $item){$item_title = $item["item_title"];$item_slider_sub_title = $item["item_slider_sub_title"];$item_slider_button_text = $item["item_slider_button_text"];$item_slider_button_link = $item["item_slider_button_link"];$item_slider_bg = ($item[ "item_slider_bg"]["id"]!="")? wp_get_attachment_image_url( $item["item_slider_bg"]["id"],"full"):$item[ "item_slider_bg"]["url"];	if ( ! empty( $item_slider_bg) ) {
			$this->add_render_attribute( "item_slider_bg", "src", $item_slider_bg );
			$this->add_render_attribute( "item_slider_bg", "alt", \Elementor\Control_Media::get_image_alt( $item["item_slider_bg"] ) );
			$this->add_render_attribute( "item_slider_bg", "title", \Elementor\Control_Media::get_image_title( $item["item_slider_bg"] ) );
			$item_slider_bg_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $item, "full", "item_slider_bg" );

		}$item_slider_bg_id = $item[ "item_slider_bg"]["id"]; ?> <div class="slide" style="background-image:url('<?php echo esc_url( $item_slider_bg ); ?>')">
	<div class="container">
		<div class="content-box">
			<h3><?php echo $item_title; ?></h3>
			<h1><?php echo $item_slider_sub_title; ?></h1>
			<div class="btn-box"><a href="<?php echo $item_slider_button_link; ?>" class="theme-btn"><?php echo $item_slider_button_text; ?></a></div>
		</div>
	</div>
	</div> <?php } ?> 
</div>
</section> <?php 
	}

	protected function _content_template() {

	}
}

Plugin::instance()->widgets_manager->register_widget_type( new \Slider_Three() );

