<?php   
                use Elementor\Utils;
                use Elementor\Controls_Manager;
                use Elementor\Widget_Base;
                use Elementor\Plugin;
                use \Elementor\Repeater;
                                    
                class Counter_Kidko extends Widget_Base {
                
                    public function get_name() {
                    return 'counter_kidko';
                }
                
                public function get_title() {
                    return esc_html__( 'counter kidko', 'plugin-domain' );
                }
                
                public function get_icon() {
                    return 'fa fa-bullseye';
                }
                
                public function get_categories() {
                    return [ 'plugin-domain' ];
                }
                
                    protected function _register_controls() {
            
            
                $this->start_controls_section(
                    'item',
                    [
                    'label' => esc_html__( 'item', 'plugin-domain' ),
                    ]
                );
                
                $this->add_control(
                    'section_style',
                    [
                        'label' => esc_html__( 'section layout', 'plugin-domain' ),
                        'type' => \Elementor\Controls_Manager::SELECT,
                        'default' => '1',
                        'options' => [
                            'style-one'  => esc_html__( 'One', 'plugin-domain' ),
                            'style-two' => esc_html__( 'Two', 'plugin-domain' ),
                        ],
                    ]
                );
                    $repeater = new Repeater();
                
        
                $repeater->add_control(
                    'item_title',
                    [
                    'label' => esc_html__( 'Title', 'plugin-domain' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => __( '', 'plugin-domain' ),
                    ]
                );
                
        
                $repeater->add_control(
                    'item_count_number',
                    [
                    'label' => esc_html__( 'Count Number', 'plugin-domain' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => __( '', 'plugin-domain' ),
                    ]
                );
                
        
            $repeater->add_control(
                'item_icon',
                [
                'label' => esc_html__( 'Icon', 'plugin-domain' ),
                'type' => Controls_Manager::ICONS,                        
                ]
            );
            

                $this->add_control(
                'items',
                [
                    'label' => esc_html__( 'Repeater List', 'plugin-domain' ),
                    'type' => Controls_Manager::REPEATER,
                    'fields' => $repeater->get_controls(),
                    'default' => [
                    [
                        'list_title' => esc_html__( 'Title #1', 'plugin-domain' ),
                        'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
                    ],
                    [
                        'list_title' => esc_html__( 'Title #2', 'plugin-domain' ),
                        'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
                    ],
                    ],
                ]
                );
                
        
                $this->end_controls_section();
                
                }
    protected function render() {
        $settings =  $this->get_settings_for_display(); 
        
        $section_style = $settings["section_style"];
        
        
        
        ?> <section class="fact-counter <?php echo esc_attr( $section_style ); ?>">
    <div class="container">
        <div class="row">
            <?php 
                                $i = 1;
                                foreach($settings["items"] as $item){$item_title = $item["item_title"];$item_count_number = $item["item_count_number"];$item_icon = $item["item_icon"]; ?> <div class="col-lg-3 col-md-6 col-sm-12 counter-column">
                <div class="counter-block wow slideInUp" data-wow-delay="00ms" data-wow-duration="1500ms">
                    <div class="icon-box"><?php \Elementor\Icons_Manager::render_icon( ( $item_icon), array( 'aria-hidden' => 'true' ) ); ?></div>
                    <div class="count-outer count-box">
                        <span class="count-text" data-speed="1500" data-stop="<?php echo $item_count_number; ?>">0</span>
                    </div>
                    <div class="text"><?php echo $item_title; ?></div>
                </div>
            </div> <?php } ?> 
        </div>
    </div>
</section> <?php 
    }
    
    protected function _content_template() {
        
    }
    }

    Plugin::instance()->widgets_manager->register_widget_type( new \Counter_Kidko() );

