<?php   
use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;

class Facilities_One extends Widget_Base {

	public function get_name() {
		return 'facilities_one';
	}

	public function get_title() {
		return esc_html__( 'facilities one', 'plugin-domain' );
	}

	public function get_icon() {
		return 'fa fa-bars';
	}

	public function get_categories() {
		return [ 'plugin-domain' ];
	}

	protected function _register_controls() {


		$this->start_controls_section(
			'general',
			[
				'label' => esc_html__( 'general', 'plugin-domain' ),
			]
		);


		$this->add_control(
			'titlem',
			[
				'label' => esc_html__( 'Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'sub_title',
			[
				'label' => esc_html__( 'Sub Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);

		$this->add_control(
			'background',
			[
				'label' => esc_html__( 'Background', 'plugin-domain' ),
				'type' => Controls_Manager::MEDIA,
				'default' => [
					'url' => Utils::get_placeholder_image_src(),
				],

			]
		);


		$this->end_controls_section();



		$this->start_controls_section(
			'item',
			[
				'label' => esc_html__( 'item', 'plugin-domain' ),
			]
		);

		$repeater = new Repeater();


		$repeater->add_control(
			'item_title',
			[
				'label' => esc_html__( 'Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXT,
				'default' => __( '', 'plugin-domain' ),
			]
		);


		$repeater->add_control(
			'item_sub_title',
			[
				'label' => esc_html__( 'Sub Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_link',
			[
				'label' => esc_html__( 'Link', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_icon',
			[
				'label' => esc_html__( 'Icon', 'plugin-domain' ),
				'type' => Controls_Manager::ICONS,                        
			]
		);


		$this->add_control(
			'items',
			[
				'label' => esc_html__( 'Repeater List', 'plugin-domain' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => esc_html__( 'Title #1', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
					[
						'list_title' => esc_html__( 'Title #2', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
				],
			]
		);


		$this->end_controls_section();

	}
	protected function render() {
		$settings =  $this->get_settings_for_display();$titlem = $settings["titlem"];$sub_title = $settings["sub_title"];$background = ($settings[ "background"]["id"]!="")? wp_get_attachment_image_url( $settings["background"]["id"],"full"):$settings[ "background"]["url"];	if ( ! empty( $background) ) {
			$this->add_render_attribute( "background", "src", $background );
			$this->add_render_attribute( "background", "alt", \Elementor\Control_Media::get_image_alt( $settings["background"] ) );
			$this->add_render_attribute( "background", "title", \Elementor\Control_Media::get_image_title( $settings["background"] ) );
			$background_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $settings, "full", "background" );

		}$background_id = $settings[ "background"]["id"]; ?> <section class="feature-section">
<div class="anim-icon">
	<div class="icon icon-1"></div>
	<div class="icon icon-2"></div>
</div>
<div class="image-column" style="background-image: url(<?php echo $background; ?>);"></div>
<div class="container">
	<div class="row">
		<div class="col-xl-5 col-lg-12 col-md-12 offset-xl-7 inner-column">
			<div class="inner-content">
				<div class="sec-title style-two">
					<h5><?php echo $titlem; ?></h5>
					<h1><?php echo $sub_title; ?></h1>
				</div>
				<div class="inner-box">
					<?php 
		$i = 1;
		foreach($settings["items"] as $item){$item_title = $item["item_title"];$item_sub_title = $item["item_sub_title"];$item_link = $item["item_link"];$item_icon = $item["item_icon"]; ?> <div class="single-item wow fadeInUp" data-wow-delay="00ms" data-wow-duration="1500ms">
					<div class="icon-box"><?php \Elementor\Icons_Manager::render_icon( ( $item_icon), array( 'aria-hidden' => 'true' ) ); ?></div>
					<h3><a href="<?php echo $item_link; ?>"><?php echo $item_title; ?></a></h3>
					<div class="text"><?php echo $item_sub_title; ?></div>
					</div> <?php } ?> 
				</div>
			</div>
		</div>
	</div>
</div>
</section> <?php 
	}

	protected function _content_template() {

	}
}

Plugin::instance()->widgets_manager->register_widget_type( new \Facilities_One() );

