<?php   
use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;

class Faq extends Widget_Base {

	public function get_name() {
		return 'faq';
	}

	public function get_title() {
		return esc_html__( 'faq', 'plugin-domain' );
	}

	public function get_icon() {
		return 'fa fa-deaf';
	}

	public function get_categories() {
		return [ 'plugin-domain' ];
	}

	protected function _register_controls() {


		$this->start_controls_section(
			'general',
			[
				'label' => esc_html__( 'general', 'plugin-domain' ),
			]
		);


		$this->add_control(
			'title',
			[
				'label' => esc_html__( 'Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA    ,
				'default' => __( '', 'plugin-domain' ),
			]
		);


		$this->add_control(
			'sub_title',
			[
				'label' => esc_html__( 'Sub Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'default' => __( '', 'plugin-domain' ),
			]
		);


		$this->add_control(
			'content',
			[
				'label' => esc_html__( 'Content', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'default' => __( '', 'plugin-domain' ),
			]
		);


		$this->end_controls_section();



		$this->start_controls_section(
			'item',
			[
				'label' => esc_html__( 'item', 'plugin-domain' ),
			]
		);

		$repeater = new Repeater();


		$repeater->add_control(
			'item_title',
			[
				'label' => esc_html__( 'Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'default' => __( '', 'plugin-domain' ),
			]
		);


		$repeater->add_control(
			'item_content',
			[
				'label' => esc_html__( 'Content', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'default' => __( '', 'plugin-domain' ),
			]
		);


		$repeater->add_control(
			'item_active',
			[
				'label' => esc_html__( 'Active', 'plugin-domain' ),
				'type' => Controls_Manager::SWITCHER,
				'return_value' => 'active-block',
				'default' => 'active',

			]
		);


		$this->add_control(
			'items',
			[
				'label' => esc_html__( 'Repeater List', 'plugin-domain' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => esc_html__( 'Title #1', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
					[
						'list_title' => esc_html__( 'Title #2', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
				],
			]
		);


		$this->end_controls_section();

	}
	protected function render() {
		$settings =  $this->get_settings_for_display();$title = $settings["title"];$sub_title = $settings["sub_title"];$content = $settings["content"]; ?>
        
        
        
        
<div class="faq-content">
    <div class="sec-title style-two">

        <h5><?php echo $title; ?></h5>
        <h1><?php echo $sub_title; ?></h1>

    </div>
    <ul class="accordion-box active-block">



<?php 
		$i = 1;
        foreach($settings["items"] as $item){$item_title = $item["item_title"];$item_content = $item["item_content"];$item_active = $item["item_active"];
            $item_active_cutten = '';
            $item_active_btn = '';
            if($item_active == 'active-block') :
                $item_active_cutten = 'current';
                $item_active_btn = 'active';
            endif;
        ?>
        <li class="accordion block <?php echo $item_active; ?> ">
            <div class="acc-btn <?php echo $item_active_btn; ?>">
                <div class="icon-outer"><i class="fas fa-angle-down"></i></div>
                <h4>Q. <?php echo $item_title; ?></h4>
            </div>
            <div class="acc-content <?php echo $item_active_cutten; ?>">
                <div class="content">
                    <div class="text"><?php echo $item_content; ?></div>
                </div>
            </div>
        </li>
<?php } ?> 
    </ul>
</div>
        <?php 
	}

	protected function _content_template() {

	}
}

Plugin::instance()->widgets_manager->register_widget_type( new \Faq() );

