<?php   
use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;

class Gallery extends Widget_Base {

	public function get_name() {
		return 'gallery';
	}

	public function get_title() {
		return esc_html__( 'gallery', 'plugin-domain' );
	}

	public function get_icon() {
		return 'fa fa-american-sign-language-interpreting';
	}

	public function get_categories() {
		return [ 'plugin-domain' ];
	}

	protected function _register_controls() {


		$this->start_controls_section(
			'general',
			[
				'label' => esc_html__( 'general', 'plugin-domain' ),
			]
		);


		$this->add_control(
			'titles',
			[
				'label' => esc_html__( 'Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'sub_title',
			[
				'label' => esc_html__( 'Sub Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->end_controls_section();



		$this->start_controls_section(
			'item',
			[
				'label' => esc_html__( 'item', 'plugin-domain' ),
			]
		);

		$repeater = new Repeater();

		$repeater->add_control(
			'item_title',
			[
				'label' => esc_html__( 'Images', 'plugin-domain' ),
				'type' => Controls_Manager::MEDIA,
				'default' => [
					'url' => Utils::get_placeholder_image_src(),
				],

			]
		);


		$this->add_control(
			'items',
			[
				'label' => esc_html__( 'Repeater List', 'plugin-domain' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => esc_html__( 'Title #1', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
					[
						'list_title' => esc_html__( 'Title #2', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
				],
			]
		);


		$this->end_controls_section();

	}
	protected function render() {
		$settings =  $this->get_settings_for_display();$titles = $settings["titles"];$sub_title = $settings["sub_title"]; ?> <section class="gallery-section sec-pad centred">
<div class="container-fluid">
	<div class="sec-title">
		<h5><?php echo $titles; ?></h5>
		<h1><?php echo $sub_title; ?></h1>
	</div>
	<div class="gallery-carousel owl-carousel owl-theme">

		<?php 
		$i = 1;
		foreach($settings["items"] as $item){$item_title = ($item[ "item_title"]["id"]!="")? wp_get_attachment_image_url( $item["item_title"]["id"],"full"):$item[ "item_title"]["url"];	if ( ! empty( $item_title) ) {
			$this->add_render_attribute( "item_title", "src", $item_title );
			$this->add_render_attribute( "item_title", "alt", \Elementor\Control_Media::get_image_alt( $item["item_title"] ) );
			$this->add_render_attribute( "item_title", "title", \Elementor\Control_Media::get_image_title( $item["item_title"] ) );
			$item_title_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $item, "full", "item_title" );

		}$item_title_id = $item[ "item_title"]["id"]; ?> <div class="gallery-block">
		<div class="image-box">
			<figure class="image"><img src="<?php echo $item_title; ?>" alt=""></figure>
			<div class="overlay-box"><a href="<?php echo $item_title; ?>" class="lightbox-image" data-fancybox="gallery"><i class="flaticon-add"></i></a></div>
		</div>
		</div> <?php } ?> 

	</div>
</div>
</section> <?php 
	}

	protected function _content_template() {

	}
}

Plugin::instance()->widgets_manager->register_widget_type( new \Gallery() );

