<?php   
use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;

class Contact_Box_Info extends Widget_Base {

	public function get_name() {
		return 'contact_box_info';
	}

	public function get_title() {
		return esc_html__( 'contact box info', '' );
	}

	public function get_icon() {
		return 'fa fa-bar-chart-o';
	}

	public function get_categories() {
		return [ '' ];
	}

	protected function _register_controls() {


		$this->start_controls_section(
			'general',
			[
				'label' => esc_html__( 'general', '' ),
			]
		);


		$this->add_control(
			'header_title',
			[
				'label' => esc_html__( 'Header Title', '' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'header_sub_title',
			[
				'label' => esc_html__( 'Header Sub Title', '' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->end_controls_section();



		$this->start_controls_section(
			'item',
			[
				'label' => esc_html__( 'item', '' ),
			]
		);

		$repeater = new Repeater();


		$repeater->add_control(
			'item_icon',
			[
				'label' => esc_html__( 'Icon', '' ),
				'type' => Controls_Manager::ICONS,                        
			]
		);


		$repeater->add_control(
			'item_title',
			[
				'label' => esc_html__( 'Title', '' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_content',
			[
				'label' => esc_html__( 'Content', '' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_animi_name',
			[
				'label' => esc_html__( 'Animi Name', '' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_animi_delay',
			[
				'label' => esc_html__( 'Animi Delay', '' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_animi_duration',
			[
				'label' => esc_html__( 'Animi Duration', '' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'items',
			[
				'label' => esc_html__( 'Repeater List', '' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => esc_html__( 'Title #1', '' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', '' ),
					],
					[
						'list_title' => esc_html__( 'Title #2', '' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', '' ),
					],
				],
			]
		);


		$this->end_controls_section();

	}
	protected function render() {
		$settings =  $this->get_settings_for_display();$header_title = $settings["header_title"];$header_sub_title = $settings["header_sub_title"]; ?> <section class="contact-info-section sec-pad centred">
<div class="container">
	<div class="sec-title">
		<h5><?php echo $header_title; ?></h5>
		<h1><?php echo $header_sub_title; ?></h1>
	</div>
	<div class="row">
		<?php 
		$i = 1;
		foreach($settings["items"] as $item){$item_icon = $item["item_icon"];$item_title = $item["item_title"];$item_content = $item["item_content"];$item_animi_name = $item["item_animi_name"];$item_animi_delay = $item["item_animi_delay"];$item_animi_duration = $item["item_animi_duration"]; ?> <div class="col-lg-4 col-md-6 col-sm-12 info-column">
		<div class="single-info-box wow <?php echo $item_animi_name; ?>" data-wow-delay="<?php echo $item_animi_delay; ?>" data-wow-duration="<?php echo $item_animi_duration; ?>">
			<div class="inner-box">
				<div class="icon-box"><?php \Elementor\Icons_Manager::render_icon( ( $item_icon), array( 'aria-hidden' => 'true' ) ); ?></div>
				<h3><?php echo $item_title; ?></h3>
				<div class="text"><?php echo $item_content; ?></div>
			</div>
		</div>
		</div> <?php } ?> 
	</div>
</div>
</section> <?php 
	}

	protected function _content_template() {
?>

<?php
	}
}

Plugin::instance()->widgets_manager->register_widget_type( new \Contact_Box_Info() );

