<?php   
use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;

class Price_Full extends Widget_Base {

	public function get_name() {
		return 'price_full';
	}

	public function get_title() {
		return esc_html__( 'price full', '' );
	}

	public function get_icon() {
		return 'fa fa-product-hunt';
	}

	public function get_categories() {
		return [ '' ];
	}

	protected function _register_controls() {


		$this->start_controls_section(
			'general',
			[
				'label' => esc_html__( 'general', '' ),
			]
		);


		$this->add_control(
			'title',
			[
				'label' => esc_html__( 'Title', '' ),
				'type' => Controls_Manager::TEXT,
				'default' => __( '', '' ),
			]
		);


		$this->add_control(
			'sub_title',
			[
				'label' => esc_html__( 'Sub Title', '' ),
				'type' => Controls_Manager::TEXT,
				'default' => __( '', '' ),
			]
		);


		$this->end_controls_section();



		$this->start_controls_section(
			'item',
			[
				'label' => esc_html__( 'item', '' ),
			]
		);

		$repeater = new Repeater();


		$repeater->add_control(
			'item_title',
			array(
				'label'   => esc_html__( 'price template', 'plugin-domain' ),
				'type'    => \Elementor\Controls_Manager::SELECT,
				'default' => 'no',
				'options' => kidko_core_elementor_library(),
			)
		);


		$this->add_control(
			'items',
			[
				'label' => esc_html__( 'Repeater List', '' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => esc_html__( 'Title #1', '' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', '' ),
					],
					[
						'list_title' => esc_html__( 'Title #2', '' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', '' ),
					],
				],
			]
		);


		$this->end_controls_section();

	}
	protected function render() {
		$settings =  $this->get_settings_for_display();$title = $settings["title"];$sub_title = $settings["sub_title"]; ?> <section class="pricing-section sec-pad">
<div class="container">
	<div class="sec-title centred">
		<h5><?php echo $title; ?></h5>
		<h1><?php echo $sub_title; ?></h1>
	</div>
	<div class="inner-box">
		<div class="row">
			<?php 
		$i = 1;
		foreach($settings["items"] as $item){$item_title = $item["item_title"]; ?> <div class="col-lg-4 col-md-6 col-sm-12 pricing-block">
			


			<?php
												$detox_price_elementor = \Elementor\Plugin::instance();
												echo $detox_price_elementor->frontend->get_builder_content($item_title);
											?>


			</div> <?php } ?> 


		</div>
	</div>
</div>
</section> <?php 
	}

	protected function _content_template() {
?>

<?php
	}
}

Plugin::instance()->widgets_manager->register_widget_type( new \Price_Full() );

