<?php   
use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;

class Price_Single extends Widget_Base {

	public function get_name() {
		return 'price_single';
	}

	public function get_title() {
		return esc_html__( 'price single', '' );
	}

	public function get_icon() {
		return 'fa fa-product-hunt';
	}

	public function get_categories() {
		return [ '' ];
	}

	protected function _register_controls() {


		$this->start_controls_section(
			'general',
			[
				'label' => esc_html__( 'general', '' ),
			]
		);


		$this->add_control(
			'price_text',
			[
				'label' => esc_html__( 'Price Text', '' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'price_time',
			[
				'label' => esc_html__( 'Price Time', '' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'price_title',
			[
				'label' => esc_html__( 'Price Title', '' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'price_subtitle',
			[
				'label' => esc_html__( 'Price Subtitle', '' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'price_link',
			[
				'label' => esc_html__( 'Price Link', '' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'price_link_text',
			[
				'label' => esc_html__( 'Price Link Text', '' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);

		$this->add_control(
			'title_color',
			[
				'label' => __( 'Title Color', 'plugin-domain' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'scheme' => [
					'type' => \Elementor\Scheme_Color::get_type(),
					'value' => \Elementor\Scheme_Color::COLOR_1,
				],
				'selectors' => [
					'{{WRAPPER}} .pricing-table:before' => 'background-color: {{VALUE}}',
					'{{WRAPPER}} .table-header' => 'background-color: {{VALUE}}',
				],
			]
		);


		$this->end_controls_section();



		$this->start_controls_section(
			'item',
			[
				'label' => esc_html__( 'item', '' ),
			]
		);

		$repeater = new Repeater();


		$repeater->add_control(
			'item_title',
			[
				'label' => esc_html__( 'Title', '' ),
				'type' => Controls_Manager::TEXT,
				'default' => __( '', '' ),
			]
		);

        $repeater->add_control(
			'is_active',
			[
				'label' => esc_html__('unehck css', 'plugin-domain'),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => __('yes', 'plugin-domain'),
				'label_off' => __('no', 'plugin-domain'),
				'return_value' => 'is-active'
			]
		);

		$this->add_control(
			'items',
			[
				'label' => esc_html__( 'Repeater List', '' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => esc_html__( 'Title #1', '' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', '' ),
					],
					[
						'list_title' => esc_html__( 'Title #2', '' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', '' ),
					],
				],
			]
		);


		$this->end_controls_section();

	}
	protected function render() {
		$settings =  $this->get_settings_for_display();$price_text = $settings["price_text"];$price_time = $settings["price_time"];$price_title = $settings["price_title"];$price_subtitle = $settings["price_subtitle"];$price_link = $settings["price_link"];$price_link_text = $settings["price_link_text"]; ?> <div class="col-sm-12 pricing-block">
<div class="pricing-section">
<div class="pricing-table ">
	<div class="table-header">
		<h1><?php echo $price_text; ?><span><?php echo $price_time; ?></span></h1>
		<h4><?php echo $price_title; ?></h4>
		<div class="text"><?php echo $price_subtitle; ?></div>
	</div>
	<div class="table-content">
		<ul>
			<?php 
		$i = 1;
		foreach($settings["items"] as $item){
                $item_title = $item["item_title"];
                
                $is_active = $item["is_active"]; ?> <li class="<?php echo $is_active; ?>"><?php echo $item_title; ?></li> <?php } ?> 
		</ul>
	</div>
	<div class="table-footer">
		<a href="<?php echo $price_link; ?>" class="theme-btn"><?php echo $price_link_text; ?></a>
	</div>
</div>
</div>
</div> <?php 
	}

	protected function _content_template() {
?>

<?php
	}
}

Plugin::instance()->widgets_manager->register_widget_type( new \Price_Single() );

