<?php   
use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;

class Services_Two extends Widget_Base {

	public function get_name() {
		return 'services_two';
	}

	public function get_title() {
		return esc_html__( 'services two', 'plugin-domain' );
	}

	public function get_icon() {
		return 'fa fa-magic';
	}

	public function get_categories() {
		return [ 'plugin-domain' ];
	}

	protected function _register_controls() {


		$this->start_controls_section(
			'item',
			[
				'label' => esc_html__( 'item', 'plugin-domain' ),
			]
		);

		$repeater = new Repeater();


		$repeater->add_control(
			'item_title',
			[
				'label' => esc_html__( 'Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_content',
			[
				'label' => esc_html__( 'Content', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_icon',
			[
				'label' => esc_html__( 'Icon', 'plugin-domain' ),
				'type' => Controls_Manager::ICONS,                        
			]
		);


		$repeater->add_control(
			'item_title_link',
			[
				'label' => esc_html__( 'Title Link', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'items',
			[
				'label' => esc_html__( 'Repeater List', 'plugin-domain' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => esc_html__( 'Title #1', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
				],
			]
		);


		$this->end_controls_section();

	}
	protected function render() {
		$settings =  $this->get_settings_for_display(); ?> <section class="service-style-two">
<div class="container">
	<div class="inner-content">
		<div class="row">
			<?php 
		$i = 1;
		foreach($settings["items"] as $item){$item_title = $item["item_title"];$item_content = $item["item_content"];$item_icon = $item["item_icon"];$item_title_link = $item["item_title_link"]; ?> <div class="col-lg-4 col-md-6 col-sm-12 service-column">
			<div class="service-block-one">
				<div class="inner-box">
					<div class="icon-box"><?php \Elementor\Icons_Manager::render_icon( ( $item_icon), array( 'aria-hidden' => 'true' ) ); ?></div>
					<h3><a href="<?php echo $item_title_link; ?>"><?php echo $item_title; ?></a></h3>
					<div class="text"><?php echo $item_content; ?></div>
				</div>
			</div>
			</div> <?php } ?> 
		</div>
	</div>
</div>
</section> <?php 
	}

	protected function _content_template() {

	}
}

Plugin::instance()->widgets_manager->register_widget_type( new \Services_Two() );

