<?php   
use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;

class Services_One extends Widget_Base {

	public function get_name() {
		return 'services_one';
	}

	public function get_title() {
		return esc_html__( 'services one', 'plugin-domain' );
	}

	public function get_icon() {
		return '';
	}

	public function get_categories() {
		return [ 'plugin-domain' ];
	}

	protected function _register_controls() {


		$this->start_controls_section(
			'general',
			[
				'label' => esc_html__( 'general', 'plugin-domain' ),
			]
		);


		$this->add_control(
			'titles',
			[
				'label' => esc_html__( 'Titles', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'sub_title',
			[
				'label' => esc_html__( 'Sub Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'content',
			[
				'label' => esc_html__( 'Content', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->end_controls_section();



		$this->start_controls_section(
			'item',
			[
				'label' => esc_html__( 'item', 'plugin-domain' ),
			]
		);

		$repeater = new Repeater();


		$repeater->add_control(
			'item_title',
			[
				'label' => esc_html__( 'Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_content',
			[
				'label' => esc_html__( 'Content', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_icon',
			[
				'label' => esc_html__( 'Icon', 'plugin-domain' ),
				'type' => Controls_Manager::ICONS,                        
			]
		);


		$repeater->add_control(
			'item_title_link',
			[
				'label' => esc_html__( 'Title Link', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'items',
			[
				'label' => esc_html__( 'Repeater List', 'plugin-domain' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => esc_html__( 'Title #1', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
					[
						'list_title' => esc_html__( 'Title #2', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
				],
			]
		);


		$this->end_controls_section();

	}
	protected function render() {
		$settings =  $this->get_settings_for_display();$titles = $settings["titles"];$sub_title = $settings["sub_title"];$content = $settings["content"]; ?> <section class="service-section sec-pad">
<div class="container">
	<div class="row">
		<div class="col-lg-4 col-md-12 col-sm-12 inner-column">
			<div class="inner-content">
				<div class="sec-title style-two">
					<h5><?php echo $titles; ?></h5>
					<h1><?php echo $sub_title; ?></h1>
				</div>
				<div class="text"><?php echo $content; ?></div>
			</div>
		</div>
		<div class="col-lg-8 col-md-12 col-sm-12 carousel-column">
			<div class="carousel-content">
				<div class="services-carousel owl-carousel owl-theme">
					<?php 
		$i = 1;
		foreach($settings["items"] as $item){$item_title = $item["item_title"];$item_content = $item["item_content"];$item_icon = $item["item_icon"];$item_title_link = $item["item_title_link"]; ?> <div class="service-block-one">
					<div class="inner-box">
						<div class="icon-box"><?php \Elementor\Icons_Manager::render_icon( ( $item_icon), array( 'aria-hidden' => 'true' ) ); ?></div>
						<h3><a href="<?php echo $item_title_link; ?>"><?php echo $item_title; ?></a></h3>
						<div class="text">Cupidatat non proident sunt culpa qui officia deserunt mollit anim.</div>
					</div>
					</div> <?php } ?> 
				</div>
			</div>
		</div>
	</div>
</div>
</section> <?php 
	}

	protected function _content_template() {

	}
}

Plugin::instance()->widgets_manager->register_widget_type( new \Services_One() );

