<?php   
use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;

class Teacher_One extends Widget_Base {

	public function get_name() {
		return 'teacher_one';
	}

	public function get_title() {
		return esc_html__( 'teacher one', 'plugin-domain' );
	}

	public function get_icon() {
		return '';
	}

	public function get_categories() {
		return [ 'plugin-domain' ];
	}

	protected function _register_controls() {


		$this->start_controls_section(
			'general',
			[
				'label' => esc_html__( 'general', 'plugin-domain' ),
			]
		);

		$this->add_control(
			'section_style',
			[
				'label' => esc_html__( 'Header text Position', 'plugin-domain' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'left',
				'options' => [
					'style-one'  => esc_html__( 'One', 'plugin-domain' ),
					'style-two' => esc_html__( 'Two', 'plugin-domain' ),
				],
			]
		);


		$this->add_control(
			'titles',
			[
				'label' => esc_html__( 'Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'sub_title',
			[
				'label' => esc_html__( 'Sub Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);

		$this->add_control(
			'section_icon',
			[
				'label' => esc_html__('Button Hide or Show', 'plugin-domain'),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => __('Show', 'plugin-domain'),
				'label_off' => __('Hide', 'plugin-domain'),
				'return_value' => 'yes'
			]
		);

		$this->add_control(
			'is_page',
			[
				'label' => esc_html__('Page css', 'plugin-domain'),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => __('yes', 'plugin-domain'),
				'label_off' => __('no', 'plugin-domain'),
				'return_value' => 'yes'
			]
		);

		$this->end_controls_section();



		$this->start_controls_section(
			'item',
			[
				'label' => esc_html__( 'item', 'plugin-domain' ),
			]
		);

		$repeater = new Repeater();

		$repeater->add_control(
			'animi_name',
			[
				'label' => esc_html__( 'animation name', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'default' => __( 'fadeInUp', 'plugin-domain' ),
			]
		);
		$repeater->add_control(
			'animi_delay',
			[
				'label' => esc_html__( 'animation delay', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'default' => __( '00ms', 'plugin-domain' ),
			]
		);
		$repeater->add_control(
			'animi_deuration',
			[
				'label' => esc_html__( 'animation duration', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'default' => __( '1500ms', 'plugin-domain' ),
			]
		);


		$repeater->add_control(
			'item_title',
			[
				'label' => esc_html__( 'Name', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_link',
			[
				'label' => esc_html__( 'Link', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_position',
			[
				'label' => esc_html__( 'Position', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_social_icon',
			[
				'label' => esc_html__( 'Social Icon', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);

		$repeater->add_control(
			'item_profile',
			[
				'label' => esc_html__( 'Profile', 'plugin-domain' ),
				'type' => Controls_Manager::MEDIA,
				'default' => [
					'url' => Utils::get_placeholder_image_src(),
				],

			]
		);


		$this->add_control(
			'items',
			[
				'label' => esc_html__( 'Repeater List', 'plugin-domain' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => esc_html__( 'Title #1', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
					[
						'list_title' => esc_html__( 'Title #2', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
				],
			]
		);


		$this->end_controls_section();

	}
	protected function render() {
		$settings =  $this->get_settings_for_display();
		
		$section_style = $settings['section_style'];
		$is_page = $settings['is_page'];

		$is_page_teacher = '';
		if( $is_page == 'yes' ) :
			$is_page_teacher = 'teachers-page-section';
		endif;


		$section_icon = $settings['section_icon'];
		$titles = $settings["titles"];$sub_title = $settings["sub_title"]; ?> <section class="our-teachers sec-pad centred <?php echo esc_attr( $section_style . ' ' . $is_page_teacher ); ?>">

<?php if( $section_icon == 'yes' ) : ?>
<div class="parallax-scene parallax-scene-2 parallax-icon">
            <span data-depth="0.40" class="parallax-layer icon icon-1"></span>
            <span data-depth="0.50" class="parallax-layer icon icon-2"></span>
            <span data-depth="0.30" class="parallax-layer icon icon-3"></span>
            <span data-depth="0.40" class="parallax-layer icon icon-4"></span>
            <span data-depth="0.50" class="parallax-layer icon icon-5"></span>
            <span data-depth="0.30" class="parallax-layer icon icon-6"></span>
            <span data-depth="0.40" class="parallax-layer icon icon-7"></span>
        </div>
		<?php endif; ?>


<div class="container">
	<div class="sec-title">
		<h5><?php echo $titles; ?></h5>
		<h1><?php echo $sub_title; ?></h1>
	</div>
	<div class="row">
		<?php 
		$i = 1;
		foreach($settings["items"] as $item){$item_title = $item["item_title"];
			
			$animi_name = $item["animi_name"];
			$animi_delay = $item["animi_delay"];
			$animi_deuration = $item["animi_deuration"];
			$item_link = $item["item_link"];
			
			$item_position = $item["item_position"];$item_social_icon = $item["item_social_icon"];$item_profile = ($item[ "item_profile"]["id"]!="")? wp_get_attachment_image_url( $item["item_profile"]["id"],"full"):$item[ "item_profile"]["url"];	if ( ! empty( $item_profile) ) {
			$this->add_render_attribute( "item_profile", "src", $item_profile );
			$this->add_render_attribute( "item_profile", "alt", \Elementor\Control_Media::get_image_alt( $item["item_profile"] ) );
			$this->add_render_attribute( "item_profile", "title", \Elementor\Control_Media::get_image_title( $item["item_profile"] ) );
			$item_profile_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $item, "full", "item_profile" );

		}$item_profile_id = $item[ "item_profile"]["id"]; ?> <div class="col-xl-4 col-lg-6 col-md-12 block-column">
		<div class="teachers-block-one wow <?php echo $animi_name; ?>" data-wow-delay="<?php echo $animi_delay; ?>" data-wow-duration="<?php echo $animi_deuration; ?>">
			<div class="inner-box">
				<div class="image-holder">
					<figure class="image-box"><a href="<?php echo $item_link; ?>"><img src="<?php echo $item_profile; ?>" alt=""></a></figure>
				</div>
				<div class="lower-content">
					<h3><a href="<?php echo $item_link; ?>"><?php echo $item_title; ?></a></h3>
					<span class="designation"><?php echo $item_position; ?></span>
					<ul class="social-list">
						<?php echo $item_social_icon; ?>
					</ul>
				</div>
			</div>
		</div>
		</div> <?php } ?> 
	</div>
</div>
</section> <?php 
	}

	protected function _content_template() {

	}
}

Plugin::instance()->widgets_manager->register_widget_type( new \Teacher_One() );

