<?php   
use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;

class Testimonials_Two extends Widget_Base {

	public function get_name() {
		return 'testimonials_two';
	}

	public function get_title() {
		return esc_html__( 'testimonials two', 'plugin-domain' );
	}

	public function get_icon() {
		return 'fa fa-ellipsis-h';
	}

	public function get_categories() {
		return [ 'plugin-domain' ];
	}

	protected function _register_controls() {


		$this->start_controls_section(
			'general',
			[
				'label' => esc_html__( 'general', 'plugin-domain' ),
			]
		);


		$this->add_control(
			'title_section',
			[
				'label' => esc_html__( 'Title Section', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'sub_title',
			[
				'label' => esc_html__( 'Sub Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'video_link',
			[
				'label' => esc_html__( 'Video Link', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);

		$this->add_control(
			'video_img',
			[
				'label' => esc_html__( 'Video Img', 'plugin-domain' ),
				'type' => Controls_Manager::MEDIA,
				'default' => [
					'url' => Utils::get_placeholder_image_src(),
				],

			]
		);


		$this->end_controls_section();



		$this->start_controls_section(
			'item',
			[
				'label' => esc_html__( 'item', 'plugin-domain' ),
			]
		);

		$repeater = new Repeater();


		$repeater->add_control(
			'item_title',
			[
				'label' => esc_html__( 'Title Reviewr', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_reviwer_position',
			[
				'label' => esc_html__( 'Reviwer Position', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_review_content',
			[
				'label' => esc_html__( 'Review Content', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$repeater->add_control(
			'item_rating_icon',
			[
				'label' => esc_html__( 'Rating Icon', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);

		$repeater->add_control(
			'item_imgr',
			[
				'label' => esc_html__( 'Img Review', 'plugin-domain' ),
				'type' => Controls_Manager::MEDIA,
				'default' => [
					'url' => Utils::get_placeholder_image_src(),
				],

			]
		);


		$this->add_control(
			'items',
			[
				'label' => esc_html__( 'Repeater List', 'plugin-domain' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => esc_html__( 'Title #1', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
					[
						'list_title' => esc_html__( 'Title #2', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
				],
			]
		);


		$this->end_controls_section();

	}
	protected function render() {
		$settings =  $this->get_settings_for_display();$title_section = $settings["title_section"];$sub_title = $settings["sub_title"];$video_link = $settings["video_link"];$video_img = ($settings[ "video_img"]["id"]!="")? wp_get_attachment_image_url( $settings["video_img"]["id"],"full"):$settings[ "video_img"]["url"];	if ( ! empty( $video_img) ) {
			$this->add_render_attribute( "video_img", "src", $video_img );
			$this->add_render_attribute( "video_img", "alt", \Elementor\Control_Media::get_image_alt( $settings["video_img"] ) );
			$this->add_render_attribute( "video_img", "title", \Elementor\Control_Media::get_image_title( $settings["video_img"] ) );
			$video_img_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $settings, "full", "video_img" );

		}$video_img_id = $settings[ "video_img"]["id"]; ?> <section class="testimonial-video">
<div class="anim-icon">
	<div class="icon icon-1 float-bob-y"></div>
</div>
<div class="outer-container clearfix">
	<div class="testimonial-column">
		<div class="testimonial-content">
			<div class="sec-title style-two">
				<h5><?php echo $title_section; ?></h5>
				<h1><?php echo $sub_title; ?></h1>
			</div>
			<div class="inner-content">
				<div class="client-testimonial-carousel owl-carousel owl-theme">

					<?php 
		$i = 1;
		foreach($settings["items"] as $item){$item_title = $item["item_title"];$item_reviwer_position = $item["item_reviwer_position"];$item_review_content = $item["item_review_content"];$item_rating_icon = $item["item_rating_icon"];$item_imgr = ($item[ "item_imgr"]["id"]!="")? wp_get_attachment_image_url( $item["item_imgr"]["id"],"full"):$item[ "item_imgr"]["url"];	if ( ! empty( $item_imgr) ) {
			$this->add_render_attribute( "item_imgr", "src", $item_imgr );
			$this->add_render_attribute( "item_imgr", "alt", \Elementor\Control_Media::get_image_alt( $item["item_imgr"] ) );
			$this->add_render_attribute( "item_imgr", "title", \Elementor\Control_Media::get_image_title( $item["item_imgr"] ) );
			$item_imgr_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $item, "full", "item_imgr" );

		}$item_imgr_id = $item[ "item_imgr"]["id"]; ?> <div class="testimonial-block">
					<div class="inner-box">
						<div class="author"><?php echo $item_title; ?> <span>/ <?php echo $item_reviwer_position; ?></span></div>
						<ul class="rating">
							<?php echo $item_rating_icon; ?>
						</ul>
						<div class="text"><?php echo $item_review_content; ?></div>
					</div>
					</div>

					 <?php } ?> 

				</div>

				<!--Client Thumbs Carousel-->
				<div class="client-thumb-outer">
					<div class="client-thumbs-carousel owl-carousel owl-theme">

                    <?php 
		$i = 1;
		foreach($settings["items"] as $item){$item_title = $item["item_title"];$item_reviwer_position = $item["item_reviwer_position"];$item_review_content = $item["item_review_content"];$item_rating_icon = $item["item_rating_icon"];$item_imgr = ($item[ "item_imgr"]["id"]!="")? wp_get_attachment_image_url( $item["item_imgr"]["id"],"full"):$item[ "item_imgr"]["url"];	if ( ! empty( $item_imgr) ) {
			$this->add_render_attribute( "item_imgr", "src", $item_imgr );
			$this->add_render_attribute( "item_imgr", "alt", \Elementor\Control_Media::get_image_alt( $item["item_imgr"] ) );
			$this->add_render_attribute( "item_imgr", "title", \Elementor\Control_Media::get_image_title( $item["item_imgr"] ) );
			$item_imgr_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $item, "full", "item_imgr" );

		}$item_imgr_id = $item[ "item_imgr"]["id"]; ?>

                        <div class="thumb-item">
                            <figure class="thumb-box"><img src="<?php echo $item_imgr; ?>" alt=""></figure>
                        </div>

                        <?php } ?> 

					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="video-column">
		<div class="video-inner" style="background-image: url(<?php echo $video_img; ?>);">
			<a href="<?php echo $video_link; ?>" class="overlay-link lightbox-image" data-caption=""><i class="flaticon-play-button"></i></a>
		</div>    
	</div>
</div>
</section> <?php 
	}

	protected function _content_template() {

	}
}

Plugin::instance()->widgets_manager->register_widget_type( new \Testimonials_Two() );

