<?php   
use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;

class TestimonialOne extends Widget_Base {

	public function get_name() {
		return 'testimonial_one';
	}

	public function get_title() {
		return esc_html__( 'testimonial-one', 'plugin-domain' );
	}

	public function get_icon() {
		return '';
	}

	public function get_categories() {
		return [ 'plugin-domain' ];
	}

	protected function _register_controls() {


		$this->start_controls_section(
			'general',
			[
				'label' => esc_html__( 'general', 'plugin-domain' ),
			]
		);


		$this->add_control(
			'titles',
			[
				'label' => esc_html__( 'Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->add_control(
			'sub_title',
			[
				'label' => esc_html__( 'Sub Title', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'rows' => 0,
				'default' => __( '', 'plugin-domain' ),
				'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),

			]
		);


		$this->end_controls_section();



		$this->start_controls_section(
			'item',
			[
				'label' => esc_html__( 'item', 'plugin-domain' ),
			]
		);

		$repeater = new Repeater();


		$repeater->add_control(
			'item_title',
			[
				'label' => esc_html__( 'Client Name', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'default' => __( '', 'plugin-domain' ),
			]
		);


		$repeater->add_control(
			'item_client_postiton',
			[
				'label' => esc_html__( 'Client Postiton', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'default' => __( '', 'plugin-domain' ),
			]
		);


		$repeater->add_control(
			'item_rating_icon',
			[
				'label' => esc_html__( 'Rating Icon', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'default' => __( '', 'plugin-domain' ),
			]
		);


		$repeater->add_control(
			'item_content',
			[
				'label' => esc_html__( 'Content', 'plugin-domain' ),
				'type' => Controls_Manager::TEXTAREA,
				'default' => __( '', 'plugin-domain' ),
			]
		);

		$repeater->add_control(
			'item_profile',
			[
				'label' => esc_html__( 'Profile', 'plugin-domain' ),
				'type' => Controls_Manager::MEDIA,
				'default' => [
					'url' => Utils::get_placeholder_image_src(),
				],

			]
		);


		$this->add_control(
			'items',
			[
				'label' => esc_html__( 'Repeater List', 'plugin-domain' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => esc_html__( 'Title #1', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
					[
						'list_title' => esc_html__( 'Title #2', 'plugin-domain' ),
						'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
					],
				],
			]
		);


		$this->end_controls_section();

	}
	protected function render() {
		$settings =  $this->get_settings_for_display();$titles = $settings["titles"];$sub_title = $settings["sub_title"]; ?> <div class="testimonial-content">
<div class="sec-title style-two">
	<h5>Testimonials</h5>
	<h1>Happy Parents Say</h1>
</div>
<div class="inner-content">
	<div class="client-testimonial-carousel owl-carousel owl-theme">

		<?php 
		$i = 1;
		foreach($settings["items"] as $item){$item_title = $item["item_title"];$item_client_postiton = $item["item_client_postiton"];$item_rating_icon = $item["item_rating_icon"];$item_content = $item["item_content"];$item_profile = ($item[ "item_profile"]["id"]!="")? wp_get_attachment_image_url( $item["item_profile"]["id"],"full"):$item[ "item_profile"]["url"];	if ( ! empty( $item_profile) ) {
			$this->add_render_attribute( "item_profile", "src", $item_profile );
			$this->add_render_attribute( "item_profile", "alt", \Elementor\Control_Media::get_image_alt( $item["item_profile"] ) );
			$this->add_render_attribute( "item_profile", "title", \Elementor\Control_Media::get_image_title( $item["item_profile"] ) );
			$item_profile_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $item, "full", "item_profile" );

		}$item_profile_id = $item[ "item_profile"]["id"]; ?> <div class="testimonial-block">
		<div class="inner-box">
			<div class="author"><?php echo $item_title; ?> <span>/ <?php echo $item_client_postiton; ?></span></div>
			<ul class="rating">
				<?php echo $item_rating_icon; ?>
			</ul>
			<div class="text"><?php echo $item_content; ?></div>
		</div>
		</div>

		 <?php } ?> 
	</div>

	<!--Client Thumbs Carousel-->
	<div class="client-thumb-outer">
		<div class="client-thumbs-carousel owl-carousel owl-theme">
        <?php 
		$i = 1;
		foreach($settings["items"] as $item){$item_title = $item["item_title"];$item_client_postiton = $item["item_client_postiton"];$item_rating_icon = $item["item_rating_icon"];$item_content = $item["item_content"];$item_profile = ($item[ "item_profile"]["id"]!="")? wp_get_attachment_image_url( $item["item_profile"]["id"],"full"):$item[ "item_profile"]["url"];	if ( ! empty( $item_profile) ) {
			$this->add_render_attribute( "item_profile", "src", $item_profile );
			$this->add_render_attribute( "item_profile", "alt", \Elementor\Control_Media::get_image_alt( $item["item_profile"] ) );
			$this->add_render_attribute( "item_profile", "title", \Elementor\Control_Media::get_image_title( $item["item_profile"] ) );
			$item_profile_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $item, "full", "item_profile" );

		}$item_profile_id = $item[ "item_profile"]["id"]; ?>
        <div class="thumb-item">
			<figure class="thumb-box"><img src="<?php echo $item_profile; ?>" alt=""></figure>
		</div>
        <?php } ?> 

		</div>
	</div>
</div>
</div> <?php 
	}

	protected function _content_template() {

	}
}

Plugin::instance()->widgets_manager->register_widget_type( new \TestimonialOne() );

