<?php
    $this->start_controls_section(
        'banner_image_list',
        [
            'label' => esc_html__( 'Banner Image area', 'plugin-name' ),
            'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        ]
    );
    $repeater = new \Elementor\Repeater();
    $this->add_control(
        'banner_slider_items', [
            'label' => esc_html__( 'slider items', 'plugin-domain' ),
            'type' => \Elementor\Controls_Manager::REPEATER,
            'fields' => $repeater->get_controls(),
        ]
    );
    $this->end_controls_section();
    $banner_slider_items = $settings['banner_slider_items'];
?>

<?php if( $banner_slider_items ) : ?>
    <?php foreach ( $banner_slider_items as $slide ) {
        $banner_slider_title_text = $slide['banner_slider_title_text'];
    ?>
        <?php echo wp_kses_post($banner_slider_title_text); ?>
    <?php } ?>
<?php endif; ?>


<?php
    $this->start_controls_section(
        'banner_slider_o_area',
        [
            'label' => esc_html__( 'Banner Design', 'plugin-name' ),
            'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        ]
    );
    $this->end_controls_section();
?>

<?php
    $this->add_control(
        'banner_slider_bg',
        [
            'label' => __( 'bg img ', 'plugin-domain' ),
            'type' => \Elementor\Controls_Manager::MEDIA,
            'default' => [
                'url' => \Elementor\Utils::get_placeholder_image_src(),
            ],
        ]
    );
    $banner_slider_bg = $settings['banner_slider_bg']['url'];
    $banner_slider_bg_id = $settings[ 'section_images']['id'];  
    $banner_slider_bg_alt = get_post_meta($banner_slider_bg_id, '_wp_attachment_image_alt', true);

    
?>
<?php if($banner_slider_bg) : ?>
    <?php echo esc_url( $banner_slider_bg ); ?>
    <?php echo esc_attr($banner_slider_bg_alt); ?>
<?php endif; ?>


<?php
    $this->add_control(
        'banner_slider_title_text',
        [
            'label' => esc_html__( 'Title', 'plugin-name' ),
            'type' => \Elementor\Controls_Manager::TEXT,
            'placeholder' => esc_html__( 'title', 'plugin-name' ),
        ]
    );
    $banner_slider_title_text = $settings['banner_slider_title_text'];
?>
<?php if($banner_slider_title_text) : ?>
    <?php echo wp_kses_post($banner_slider_title_text); ?>
<?php endif; ?>

<?php
    $this->add_control(
        'button_text2',
        [
            'label' => esc_html__( 'Button text', 'plugin-domain' ),
            'type' => \Elementor\Controls_Manager::TEXT,
            'placeholder' => esc_html__( 'button text', 'plugin-domain' ),
        ]
    );
    $this->add_control(
        'button_link2', [
            'label' => esc_html__( 'Button link', 'plugin-domain' ),
            'type' => \Elementor\Controls_Manager::URL,
            'show_external' => true,
            'default' => [
                'url' => '',
                'is_external' => true,
                'nofollow' => true,
            ],
        ]
    );
    $button_text2 = $settings['button_text2'];
    $button_link2_url = $settings['button_link2']['url'];
    $button_link2_target = $settings['button_link2']['is_external'] ? ' target=_blank' : '';
    $button_link2_nofollow = $settings['button_link2']['nofollow'] ? ' rel=nofollow' : '';
?>
<?php if($button_text2) : ?>
    <a
        href="<?php echo esc_url($button_link2_url); ?>"
        <?php echo esc_attr($button_link2_target . $button_link2_nofollow); ?> 
        class=""
    >
        <?php echo wp_kses_post($button_text2); ?>
    </a>
<?php endif; ?>

<?php
    $this->add_control(
        'icon',
        [
            'label' => __('asoaiysi', 'plugin-name'),
            'type' => \Elementor\Controls_Manager::ICONS,
            'placeholder' => __('sakdgas', 'plugin-name'),
        ]
    );
    $icon = $settings['icon'];
?>
<?php \Elementor\Icons_Manager::render_icon( $settings['icon'], [ 'aria-hidden' => 'true' ] ); ?>
<?php echo get_template_directory_uri().'/assets/';?>