<?php
/**
 * Register meta boxes
 *
 * @return void
 */


add_filter('rwmb_meta_boxes', 'kidko_core_meta_box');

function kidko_core_meta_box($meta_boxes) {
    $prefix = 'kidko_theme_metabox';
    $posts_page = get_option('page_for_posts');
    if (!isset($_GET['post']) || intval($_GET['post']) != $posts_page) {
        $meta_boxes[] = array(
            'id' => $prefix . '_classes_full_content',
            'title' => esc_html__('Classes information', 'kidko'),
            'pages' => array(
                'classess',
            ),
            'context' => 'normal',
            'priority' => 'core',
            'fields' => array(
                array(
                    'id'   => "{$prefix}_class_small_image",
                    'type' => 'single_image',
                    'name' => 'Elementor addons Images',
                ),
                array(
                    'name'        => 'Elementor Class age',
                    'id'      => "{$prefix}_class_widget_age",
                    'type'        => 'textarea',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Description one',
                    'id'      => "{$prefix}_class_description",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Title bottom Content',
                    'id'      => "{$prefix}_class_title_content",
                    'type'        => 'textarea',
                    'clone'       => false,
                ),
                array(
                    'id'   => "{$prefix}_class_teacher_images",
                    'type' => 'single_image',
                    'name' => 'Teacher Images',
                ),
                array(
                    'name'        => 'Teacher Label Name',
                    'id'      => "{$prefix}_class_teacher_label_name",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Teacher Name',
                    'id'      => "{$prefix}_class_teacher_name",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Category Label Name',
                    'id'      => "{$prefix}_class_category_label_name",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Category Name',
                    'id'      => "{$prefix}_class_category_name",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Cost Label Name',
                    'id'      => "{$prefix}_class_cost_label_name",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Cost',
                    'id'      => "{$prefix}_class_cost_name",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Button text',
                    'id'      => "{$prefix}_class_button_text",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Button link',
                    'id'      => "{$prefix}_class_button_link",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Description Lable',
                    'id'      => "{$prefix}_class_description_two",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Description Two content',
                    'id'      => "{$prefix}_class_description_two_content",
                    'type'        => 'textarea',
                    'clone'       => false,
                ),
                array(
                    'id'   => "{$prefix}_class_mega_images",
                    'type' => 'single_image',
                    'name' => 'Class Mega Images',
                ),
                array(
                    'name'        => 'Requirements Label',
                    'id'      => "{$prefix}_class_requirements",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Requirements content',
                    'id'      => "{$prefix}_class_requirements_text",
                    'type'        => 'textarea',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Requirements list',
                    'id'      => "{$prefix}_class_requirements_list",
                    'type'        => 'textarea',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Informations Label',
                    'id'      => "{$prefix}_class_informations",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Informations content',
                    'id'      => "{$prefix}_class_informations_content",
                    'type'        => 'textarea',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Informations list',
                    'id'      => "{$prefix}_class_informations_list",
                    'type'        => 'textarea',
                    'clone'       => false,
                ),
                array(
                    'name'            => 'Elementor Wiget',
                    'id'              => "{$prefix}_elemenetor_widget",
                    'type'            => 'select',
                    'options'  => kidko_elementor_library(),
                    'multiple'        => false,
                    'placeholder'     => 'Select an Item',
                    'select_all_none' => false,
                ), 
            )
        );
        $meta_boxes[] = array(
            'id' => $prefix . '_events_full_content',
            'title' => esc_html__('Events information', 'kidko'),
            'pages' => array(
                'events',
            ),
            'context' => 'normal',
            'priority' => 'core',
            'fields' => array(
                array(
                    'id'   => "{$prefix}_events_small_image",
                    'type' => 'single_image',
                    'name' => 'Elementor addons Images',
                ),
                array(
                    'name'        => 'Elementor Event Location',
                    'id'      => "{$prefix}_events_widget_location",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Description one',
                    'id'      => "{$prefix}_events_description",
                    'type'        => 'textarea',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'UpComing event label',
                    'id'      => "{$prefix}_events_upcoming_label",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'       => 'Event picker',
                    'id'      => "{$prefix}_events_date",
                    'type'       => 'date',
                    'js_options' => array(
                        'dateFormat'      => 'yy-mm-dd',
                        'showButtonPanel' => false,
                    ),
                    'inline' => false,
                    'timestamp' => false,
                ),
                array(
                    'name'        => 'Description Two',
                    'id'      => "{$prefix}_events_description_two",
                    'type'        => 'textarea',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Event Facilities label',
                    'id'      => "{$prefix}_events_facilities_label",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Facilities Description ',
                    'id'      => "{$prefix}_events_facilities_description",
                    'type'        => 'textarea',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Facilities list ',
                    'id'      => "{$prefix}_events_facilities_list",
                    'type'        => 'textarea',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Event Map Iframe code',
                    'id'      => "{$prefix}_events_map",
                    'type'        => 'textarea',
                    'sanitize_callback' => 'none'
                ),
                array(
                    'name'        => 'Event sidebar title',
                    'id'      => "{$prefix}_events_sidebar_title",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Event sidebar Description',
                    'id'      => "{$prefix}_events_sidebar_description",
                    'type'        => 'textarea',
                    'clone'       => false,
                ),
                array(
                    'id'      => "{$prefix}_events_info_list",
                    'name'    => 'Event Info List',
                    'type'    => 'text_list',
                    'clone' => true,
                    'options' => array(
                        'lable'      => 'Lable',
                        'info' => 'info',
                    ),
                ),
                array(
                    'name'        => 'Event sidebar button',
                    'id'      => "{$prefix}_events_sidebar_button",
                    'type'        => 'text',
                    'clone'       => false,
                ),
                array(
                    'name'        => 'Event sidebar button link',
                    'id'      => "{$prefix}_events_sidebar_button_link",
                    'type'        => 'text',
                    'clone'       => false,
                ),
            )
        );
    }
    return $meta_boxes;
}
