<?php

namespace kidko\CPT;

Class Event {

    public static function register() {
        $instance = new self;
        add_action('init', [$instance, 'registerPostType']);
        add_action('init', [$instance, 'add_custom_taxonomies']);
    }

// Register Custom Post Type
    function registerPostType() {
        $slug_postype_Portfolio = 'eventsslug'; //'Gallery' Portfolio

        $labels = array(
            'name' => _x('Events', 'Post Type General Name', 'plugin-domain'),
            'singular_name' => _x('Event', 'Post Type Singular Name', 'plugin-domain'),
            'menu_name' => __('Events', 'plugin-domain'),
            'name_admin_bar' => __('Events', 'plugin-domain'),
            'archives' => __('Item Archives', 'plugin-domain'),
            'parent_item_colon' => __('Parent Item:', 'plugin-domain'),
            'all_items' => __('All Events', 'plugin-domain'),
            'add_new_item' => __('Add New Event', 'plugin-domain'),
            'add_new' => __('Add New Event', 'plugin-domain'),
            'new_item' => __('New Event Item', 'plugin-domain'),
            'edit_item' => __('Edit Event Item', 'plugin-domain'),
            'update_item' => __('Update Event Item', 'plugin-domain'),
            'view_item' => __('View Event Item', 'plugin-domain'),
            'search_items' => __('Search Item', 'plugin-domain'),
            'not_found' => __('Not found', 'plugin-domain'),
            'not_found_in_trash' => __('Not found in Trash', 'plugin-domain'),
            'featured_image' => __('Featured Image', 'plugin-domain'),
            'set_featured_image' => __('Set featured image', 'plugin-domain'),
            'remove_featured_image' => __('Remove featured image', 'plugin-domain'),
            'use_featured_image' => __('Use as featured image', 'plugin-domain'),
            'insert_into_item' => __('Insert into item', 'plugin-domain'),
            'uploaded_to_this_item' => __('Uploaded to this item', 'plugin-domain'),
            'items_list' => __('Items list', 'plugin-domain'),
            'items_list_navigation' => __('Items list navigation', 'plugin-domain'),
            'filter_items_list' => __('Filter items list', 'plugin-domain'),
        );

        $args = array(
            'labels' => $labels,
            'description' => __('Description.', 'plugin-domain'),
            'public' => true,
            'publicly_queryable' => true,
            'show_ui' => true,
            'show_in_menu' => true,
            'query_var' => true,
            'rewrite' => array('slug' => $slug_postype_Portfolio),
            'capability_type' => 'post',
            'has_archive' => false,
            'hierarchical' => true,
            'menu_position' => null,
            'show_in_rest' => true,
            'supports' => array( 'editor', 'title','thumbnail','excerpt'),

        );

        register_post_type('events', $args);
    }


    function add_custom_taxonomies() {

    register_taxonomy('eventsslug', 'events', array(
        // Hierarchical taxonomy (like categories)
        'hierarchical' => true,
        // This array of options controls the labels displayed in the WordPress Admin UI
        'labels' => array(
            'name' => _x('Events Categories', 'plugin-domain'),
            'singular_name' => _x('Category', 'plugin-domain'),
            'search_items' => __('Search Categories'),
            'all_items' => __('All Categories'),
            'parent_item' => __('Parent Category'),
            'parent_item_colon' => __('Parent Category:'),
            'edit_item' => __('Edit Category'),
            'update_item' => __('Update Category'),
            'add_new_item' => __('Add New Category'),
            'new_item_name' => __('New Category Name'),
            'menu_name' => __('Events  Categories'),
        ),
        'rewrite' => array(
            'slug' => 'eventsslug',
            'with_front' => false,
            'hierarchical' => true
        )
    ));
}

}

